# Ogre::TangentSpaceCalc::VertexInfo Struct Reference

`#include <OgreTangentSpaceCalc.h>`

List of all members.

## Public Member Functions

| VertexInfo ()

## Public Attributes

Vector3 | pos
Vector3 | norm
Vector2 | uv
Vector3 | tangent
Vector3 | binormal
int | parity
size_t | oppositeParityIndex

## Detailed Description

Definition at line 195 of file OgreTangentSpaceCalc.h.

## Constructor & Destructor Documentation

Ogre::TangentSpaceCalc::VertexInfo::VertexInfo | ( |  | ) |

Definition at line 207 of file OgreTangentSpaceCalc.h.

## Member Data Documentation

Vector3 Ogre::TangentSpaceCalc::VertexInfo::binormal

Definition at line 201 of file OgreTangentSpaceCalc.h.

Vector3 Ogre::TangentSpaceCalc::VertexInfo::norm

Definition at line 198 of file OgreTangentSpaceCalc.h.

size_t Ogre::TangentSpaceCalc::VertexInfo::oppositeParityIndex

Definition at line 205 of file OgreTangentSpaceCalc.h.

int Ogre::TangentSpaceCalc::VertexInfo::parity

Definition at line 203 of file OgreTangentSpaceCalc.h.

Vector3 Ogre::TangentSpaceCalc::VertexInfo::pos

Definition at line 197 of file OgreTangentSpaceCalc.h.

Vector3 Ogre::TangentSpaceCalc::VertexInfo::tangent

Definition at line 200 of file OgreTangentSpaceCalc.h.

Vector2 Ogre::TangentSpaceCalc::VertexInfo::uv

Definition at line 199 of file OgreTangentSpaceCalc.h.

The documentation for this struct was generated from the following file:

- OgreTangentSpaceCalc.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:19